Skip to main content
GET
/
v1
/
usage
/
aggregate
Get Usage Aggregate
curl --request GET \
  --url https://api.cyberdesk.io/v1/usage/aggregate \
  --header 'Authorization: Bearer <token>'
{
  "total_agentic_steps": 123,
  "total_cached_steps": 123,
  "period_start": "2023-11-07T05:31:56Z",
  "period_end": "2023-11-07T05:31:56Z",
  "mode": "simulated",
  "runs_counted": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

from_date
string<date-time>
required

Start of period (inclusive, ISO format)

to_date
string<date-time>
required

End of period (exclusive, ISO format)

mode
enum<string>
default:simulated

Usage counting mode: 'simulated' or 'billed'

Available options:
simulated,
billed

Response

Successful Response

Response schema for usage aggregation.

total_agentic_steps
integer
required
total_cached_steps
integer
required
period_start
string<date-time>
required
period_end
string<date-time>
required
mode
enum<string>
required

Mode for counting usage steps.

Available options:
simulated,
billed
runs_counted
integer
required